Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 05 Jan 2023 03:19:07 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order number 9408858320. Have been emailing and chatting with your agents yesterday, telling them that the location was not entered when making the online purchase. I have sent my address with the correct area on email and chat, your agents even replied saying it's correct and the delivery person will call me and I would get the order yesterday itself. In the evening your delivery agent messages me he cannot find my address, I sent him the location however he said he cannot deliver as he has 80 to 90 orders to be delivered in Mirdif and cannot come to Al Warqa, so does that make my order unimportant? He then said he would try to deliver by 9pm or 10pm. However he didn't bother to even say he was not coming. 
Considering I have tried every possible way to send you the correct location and have got a conformation from your side in email and chat, your customer service really needs to be more responsible and quick in passing on information, as they have not done so to the delivery agent and hence I did not get the parcel. I needed the order yesterday and I have been thoroughly disappointed to say the least, mainly coz I have been following up on this order but I guess to Max it was an unimportant order. Worst still I get a message from Max stating the order couldn't be delivered , reason Future Date delivery, I would like to know who decides to change the date when online I bought the item considering it was going to be delivered yesterday itself. 

Really hope, you could use this feedback and improve your customer service. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5548855